| Home | Libraries | People | FAQ | More

## Struct template maximum

boost::mpi::maximum — Compute the maximum of two values.

## Synopsis

    // In header: <boost/mpi/operations.hpp>

    template<typename T>
    struct maximum {
      // types
      typedef T first_argument_type;
      typedef T second_argument_type;
      typedef T result_type;

      // public member functions
      const T & operator()(const T &, const T &) const;
    };

## Description

This binary function object computes the maximum of the two values it is given. When used with MPI and a type `T` that has an associated, built-in MPI data type, translates to `MPI_MAX`.

### `maximum` public member functions

1.     const T & operator()(const T & x, const T & y) const;

   Returns: | the maximum of x and y.